Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class CorporateAction9

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.CorporateAction9

    public class CorporateAction9
    extends java.lang.Object

Java class for CorporateAction9 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CorporateAction9">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EvtTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text"/>
             <element name="EvtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `evtId`
`protected java.lang.String` `evtTp`

### Constructor Summary

Constructors
`CorporateAction9()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEvtId()` Gets the value of the evtId property.
`java.lang.String` `getEvtTp()` Gets the value of the evtTp property.
`void` `setEvtId​(java.lang.String value)` Sets the value of the evtId property.
`void` `setEvtTp​(java.lang.String value)` Sets the value of the evtTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### evtTp

    protected java.lang.String evtTp

#### evtId

    protected java.lang.String evtId

### Constructor Detail

#### CorporateAction9

    public CorporateAction9()

### Method Detail

#### getEvtTp

    public java.lang.String getEvtTp()

Gets the value of the evtTp property.

Returns:
  possible object is `String`

#### setEvtTp

    public void setEvtTp​(java.lang.String value)

Sets the value of the evtTp property.

Parameters:
  `value` - allowed object is `String`

#### getEvtId

    public java.lang.String getEvtId()

Gets the value of the evtId property.

Returns:
  possible object is `String`

#### setEvtId

    public void setEvtId​(java.lang.String value)

Sets the value of the evtId property.

Parameters:
  `value` - allowed object is `String`